# Generated by Django 5.2.3 on 2025-06-20 23:17

import django
import django.core.validators
import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('zb_repository', '0010_category_sort_by_category_sort_type'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    if django.VERSION < (4, 1):
        unique_constraint = models.UniqueConstraint(fields=('file', 'version'), name='UNQ_file_version')
    else:
        unique_constraint = models.UniqueConstraint(fields=('file', 'version'), name='UNQ_file_version', violation_error_message='File version already exists.')

    operations = [
        migrations.AddField(
            model_name='file',
            name='version',
            field=models.IntegerField(default=1, editable=False),
        ),
        migrations.CreateModel(
            name='FileVersion',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('modified_at', models.DateTimeField(auto_now=True, verbose_name='Modified at')),
                ('uuid', models.UUIDField(editable=False)),
                ('version', models.IntegerField(editable=False, validators=[django.core.validators.MinValueValidator(1)])),
                ('file', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='file_versions', related_query_name='file_versions', to='zb_repository.file')),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'File Version',
                'verbose_name_plural': 'File Versions',
                'constraints': [unique_constraint],
            },
        ),
    ]
